| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# JobHistory.cpp File Reference

`#include "GaudiKernel/JobHistory.h"`
`#include "GaudiKernel/System.h"`
`#include "GaudiKernel/Property.h"`
`#include <cstdlib>`
`#include <iostream>`

Include dependency graph for JobHistory.cpp:

Go to the source code of this file.

## Functions
ostream & | operator<< (ostream &lhs, const JobHistory &rhs)

## Function Documentation

ostream& operator<< | ( | ostream & | lhs,
|  | const JobHistory & | rhs |
| ) |  |  |

Definition at line 98 of file JobHistory.cpp.

References std::vector< _Tp, _Alloc >::begin(), JobHistory::cmtconfig(), JobHistory::dir(), std::vector< _Tp, _Alloc >::end(), endl(), JobHistory::environment(), JobHistory::hostname(), JobHistory::machine(), JobHistory::os(), JobHistory::os_version(), JobHistory::properties(), JobHistory::release_version(), and JobHistory::start_time().

    00098                                                          {
    00099   lhs << "Release: " << rhs.release_version() << endl;
    00100   lhs << "OS:      " << rhs.os() << endl;
    00101   lhs << "OS ver:  " << rhs.os_version() << endl;
    00102   lhs << "Host:    " << rhs.hostname() << endl;
    00103   lhs << "Machine: " << rhs.machine() << endl;
    00104   lhs << "Run dir: " << rhs.dir() << endl;
    00105   lhs << "CMTCONFIG: " << rhs.cmtconfig() << endl;
    00106   lhs << "Job start time: " << rhs.start_time() << endl << endl;
    00107   lhs << "Properties: [" << endl;;
    00108   for ( JobHistory::PropertyList::const_iterator
    00109         ipprop=rhs.properties().begin();
    00110         ipprop!=rhs.properties().end(); ++ipprop ) {
    00111      std::string client = ipprop->first;
    00112      const Property* prop = ipprop->second;
    00113      lhs << client << ":  ";
    00114      prop->fillStream(lhs);
    00115      lhs << endl;
    00116   }
    00117   lhs << "]" << endl;
    00118   vector<string> env = rhs.environment();
    00119   for (vector<string>::const_iterator itr=env.begin();  itr != env.end();
    00120        ++itr) {
    00121     lhs << *itr << endl;
    00122   }
    00123   return lhs;
    00124 }